﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@model Toyota.Common.Web.MVC.ModelHolder


<table border="0" style="vertical-align:middle; padding-bottom:6px">
    <tr>
        <td>
            Production Month
        </td>
        <td style="padding-left:6px;">
            <input type="text" id="TxtPMConsolidation" name="TxtPMConsolidation" class="mtz-monthpicker-widgetcontainer" style="width:250px; font-size:small;" />
        </td>
    </tr>
    <tr>
        <td style="padding-top:6px;">
            Timing 
        </td>
        <td style="padding-left:6px; padding-top:6px;">
            @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "CmbTimingConsolidation";
                        settings.SelectedIndex = -1;
                        settings.Width = Unit.Pixel(255);
                        settings.Properties.Items.Add("");
                        settings.Properties.Items.Add("Tentative");
                        settings.Properties.Items.Add("Firm");
                    }
                ).GetHtml()   
        </td>
    </tr>
</table>

<table border="0" style="width:100%; padding-bottom:6px">
    <tr>
        <td style="width:80px; padding-right:6px;">
         @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "BtnConsolidateConsolidation";
                settings.Text = "Consolidate";
                settings.Width = 80;
                settings.ClientSideEvents.Click = "OnClickConsolidate";
            }).GetHtml()
        </td>
        <td style="width:84px;"></td>
        <td style="width:80px; padding-right:6px;">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "BtnSearchConsolidation";
                    settings.Text = "Search";
                    settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                    settings.ClientSideEvents.Click = "OnClickSearchConsolidation";
                }).GetHtml()
        </td>
        <td style="width:80px; text-align:right;">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "BtnClearConsolidation";
                    settings.Text = "Clear";
                    settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                    settings.ClientSideEvents.Click = "OnClickClearConsolidation";
                }).GetHtml()
        </td>
        <td></td>
        <td style="width:80px; text-align:right;">  
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "BtnDeleteConsolidation";
                    settings.Text = "Delete";
                    settings.Width = 80;
                    settings.ClientSideEvents.Click = "OnClickDeleteConsolidation";
                }
            ).GetHtml()
        </td>
    </tr>
</table>


<div style="margin-left:4px; margin-right:4px;">
    @Html.Partial("PartialGridTabLPOPConsolidation", Model)
</div>
